var iValorSintonizar;
function Pag_Config_Sintonizar_Show() {
	iValorSintonizar = 66;
	Pag_Config_Show();
	document.getElementById("Pag_Config_Form").innerHTML = 
		 '<table width="390px" height="455px" cellpadding="10" cellspacing="10" style="table-layout: fixed; background-image: url(fondo_frame.png); background-repeat: no-repeat;">'
		+'	<tr height="20px"><td width="310px"/></tr>'
		+'	<tr height="33px"><td width="310px" class="font15">Introduzca el canal para buscar emisoras o seleccione la sintonización automática</td></tr>'
		+'	<tr height="33px" valign="top"><td width="310px" id="Pag_Config_Sintonizar_Valor" style="background-position: 0px 5px; background-image: url(cursor_updown.png); background-repeat: no-repeat;" class="font16">' + iValorSintonizar + '&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp</td></tr>'
		+'	<tr height="50px" valign="center"><td width="310px" id="Pag_Config_Sintonizar_Progreso" class="font16"></td></tr>'
		+'	<tr height="33px" valign="top"><td class="font16" style="background-position: 2px 12px; background-image: url(botonera.png); background-repeat: no-repeat;"/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sintonizar sólo el canal elegido<br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Sintonización automática<br/><br/>&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Cancelar</td></tr>'
		+'	<tr/>'
		+'</table>';
	cPaginaVisible = "Pag_Config_Sintonizar";
}

function Pag_Config_Sintonizar_Close() {
	Pag_Config_Show(OPC_Config_Sintonizar);
}

function ActualizarConfigSintonizar(iValor) {
	if (iValor < 21) {
		iValor = 21;
	} else if (iValor > 69) {
		iValor = 69;
	}
	iValorSintonizar = iValor;
	document.getElementById("Pag_Config_Sintonizar_Valor").innerHTML = iValorSintonizar + "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp";
}

function Pag_Config_Sintonizar_KeyDown(keyChar) {
	try {
		switch (keyChar) {
			case KEY_RIGHT:
			case KEY_0: case KEY_1:
			case KEY_2: case KEY_3:
			case KEY_4: case KEY_5:
			case KEY_6: case KEY_7:
			case KEY_8: case KEY_9:
				return 0;
			case KEY_DOWN:
				ActualizarConfigSintonizar(iValorSintonizar-1);
				return 0;
			case KEY_UP:
				ActualizarConfigSintonizar(iValorSintonizar+1);
				return 0;
			case KEY_RED:
				SintonizarCanal(iValorSintonizar, iValorSintonizar);
				return 0;
			case KEY_GREEN:
				SintonizarCanal(21, 69);
				return 0;
			case KEY_BLUE:
			case KEY_LEFT:
			case KEY_BACK:
				Pag_Config_Sintonizar_Close();
				return 0;
		}
	} catch(ex) {
		alert("Pag_Config_Sintonizar_KeyDown: " + ex);
	}
	return 1;
}

function scanProgress(ev) {
	document.getElementById("Pag_Config_Sintonizar_Progreso").innerHTML = "Buscando canales... " + ev.progress + "%&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;";
}

function Pag_Config_Sintonizar_Close2() {
	objTuner.readCache();
	Pag_Canal_Show(iNumCanal, true);
	Pag_Orden_Show();
}
			
function scanFinish(ev) {
	try {
		objTuner.writeCache();
	} catch (ex) {
		alert(ex);
	}
	document.getElementById("Pag_Config_Sintonizar_Progreso").innerHTML = "Buscando canales... TERMINADO";
	setTimeout("Pag_Config_Sintonizar_Close2();", 1000);
}

function SintonizarCanal(iCanalMin, iCanalMax) {
	var iAnchoBanda = 8000;
	// Canal 21 = 474 (*1000) -> Desfase 306 (*1000)
	// Canal 69 = 858 (*1000)
	// Ancho de banda = 8 (*1000)

	// Cancelar cualquier tecla mientras se sintoniza
	cPaginaVisible = "Pag_Config_Sintonizar_Sintonizando";
	try {
		objTuner.addEventListener(objTuner.ON_SCAN_PROGRESS, scanProgress);		// ON_SCAN_PROGRESS
		objTuner.addEventListener(objTuner.ON_SCAN_END, scanFinish);			// ON_SCAN_END
	} catch (ex) {
		alert("Listeners " + ex);
	}

	try {
		objTuner.setScanRange(306000 + iCanalMin * iAnchoBanda, 306000 + iCanalMax * iAnchoBanda, -1, -1, 0, -1, 8000, 0, 0);
	} catch (ex) {
		alert("setScanRange " + ex);
	}
	try {
		objTuner.scan();
	} catch (ex) {
		alert("scan " + ex);
	}
}
